## org.hibernate.type.descriptor.java
Class IncomparableComparator

    java.lang.Object
      org.hibernate.type.descriptor.java.IncomparableComparator

All Implemented Interfaces:
  Comparator

    public class IncomparableComparator

extends Object
implements Comparator

TODO : javadoc

Author:
  Steve Ebersole

Field Summary
`static IncomparableComparator` `INSTANCE`

Constructor Summary
`IncomparableComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final IncomparableComparator INSTANCE

Constructor Detail

### IncomparableComparator

    public IncomparableComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.